DeveloperAPI ReferenceLibrariesLibraryidItemsItemidFilesFileid
/api/libraries/{libraryId}/items/{itemId}/files/{fileId}
Path Parameters
libraryId*string
Library ID
itemId*string
Item ID
fileId*string
Library file ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/libraries/string/items/string/files/string" \ -H "Content-Type: application/json" \ -d '{}'{
"file": {
"id": "string",
"libraryId": "string",
"uri": "string",
"filename": "string",
"extension": "string",
"fileInfo": {
"property1": null,
"property2": null
},
"mimeType": "string",
"type": "media",
"classification": "string",
"itemId": "string",
"status": "active",
"edition": "string",
"partNumber": 0,
"size": 0,
"duration": 0,
"createdAt": "string",
"updatedAt": "string",
"assets": {
"property1": "string",
"property2": "string"
},
"assetAspects": {
"property1": "string",
"property2": "string"
},
"mediaKind": "video",
"chapters": [
{
"id": "string",
"fileId": "string",
"startTime": 0,
"endTime": 0,
"role": "intro",
"title": "string",
"source": "string",
"metadata": {
"property1": null,
"property2": null
},
"createdAt": "string",
"updatedAt": "string",
"assets": {
"property1": "string",
"property2": "string"
}
}
]
}
}{
"error": "string"
}{
"error": "string"
}